Skip to main content
PATCH
Update article

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

articleId
string
required

The unique identifier of the article to update.

Body

application/json
accessGroupIds
object
required

The IDs of the access groups permitted to view the article. Used when accessType is ACCESS_GROUP_MEMBERSHIP.

Example:

"{ \"accessGroupIds\": [\"45678901\"] }"

accessType
object
required

The access level of the article: PUBLIC, ACCESS_GROUP_MEMBERSHIP, or SSO_LOGIN.

Example:

"{ \"accessType\": \"PUBLIC\" }"

archived
object
required

The deleted state of an article. To delete an article, set archived to true and include no other fields in the request body. This service does not support restoring an archived article — setting archived to false will fail.

Example:

"{ \"archived\": true }"

archivedInDashboard
object
required

The visibility state for this article in the dashboard.

Example:

"{ \"archivedInDashboard\": false }"

body
object
required

The article’s HTML content.

Example:

"{ \"body\": \"<p>To reset your password, go to Settings > Security.</p>\" }{}"

categoryId
object
required

The ID of the category the article belongs to.

Example:

"{ \"categoryId\": \"12345678\" }"

metaDescription
object
required

A brief description of the article, used for SEO.

Example:

"{ \"metaDescription\": \"Learn how to reset your HubSpot account password.\" }"

path
object
required

The URL path segment for the article. This is combined with the knowledge base’s domain to form the article’s full URL (see the URL field on the response).

Example:

"{}{ \"path\": \"how-to-reset-your-password\" }"

subtitle
object
required

The subtitle of the article.

Example:

"{ \"subtitle\": \"Step-by-step instructions\" }"

tagIds
object
required

The IDs of tags associated with the article.

Example:

"{ \"tagIds\": [\"23456789\", \"34567890\"] }"

title
object
required

The title of the article.

Example:

"{ \"title\": \"How to reset your password\" }"

translationOfId
object
required

The ID of the article this is a translation of.

Example:

"{ \"translationOfId\": \"98765432\" }"

Response

default - */*

Represents an error response returned by the API when an operation fails. This component is used in various endpoints to provide detailed information about the error encountered.

category
string
required

The error category

correlationId
string<uuid>
required

A unique identifier for the request. Include this value with any error reports or support tickets

Example:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
required

A human readable message describing the error along with remediation steps where appropriate

Example:

"An error occurred"

context
object

Context about the error condition

Example:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on September 28, 2026